Main Page glibmm Namespaces Book

# Glib::Glib::Value< unsigned long > Class Template Reference
[Generic Values]

Inheritance diagram for Glib::Glib::Value< unsigned long >:

[legend]

List of all members.

## Public Types

typedef unsigned long | CppType
typedef gulong | CType

## Public Member Functions

void | set (unsigned long data)
unsigned long | get () const

## Static Public Member Functions

static GType | value_type () G_GNUC_CONST

### template<>
class Glib::Glib::Value< unsigned long >

## Member Typedef Documentation

typedef unsigned long Glib::Glib::Value<unsigned long>::CppType

typedef gulong Glib::Glib::Value<unsigned long>::CType

## Member Function Documentation

static GType Glib::Glib::Value< unsigned long >::value_type | ( |  | ) | `[static]`

void Glib::Glib::Value< unsigned long >::set | ( | unsigned long | data | ) |

unsigned long Glib::Glib::Value< unsigned long >::get | ( |  | ) | const

The documentation for this class was generated from the following file:

- value_basictypes.h